Handle MCP JSON-RPC request
curl --request POST \
--url https://api.cdp.coinbase.com/platform/v2/x402/discovery/mcp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"method": "tools/list",
"id": 1,
"params": {}
}
'import requests
url = "https://api.cdp.coinbase.com/platform/v2/x402/discovery/mcp"
payload = {
"jsonrpc": "2.0",
"method": "tools/list",
"id": 1,
"params": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({jsonrpc: '2.0', method: 'tools/list', id: 1, params: {}})
};
fetch('https://api.cdp.coinbase.com/platform/v2/x402/discovery/mcp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 1,
"result": {
"tools": []
},
"error": {
"code": -32600,
"message": "Invalid Request",
"data": {}
}
}{
"errorType": "invalid_request",
"errorMessage": "Invalid JSON-RPC request. Please check the request format."
}{
"errorType": "internal_server_error",
"errorMessage": "An internal server error occurred. Please try again later."
}x402 Facilitator
Handle MCP JSON-RPC request
Handles JSON-RPC requests for the Model Context Protocol (MCP). Supports MCP methods for discovering x402 payment resources and tools.
POST
/
v2
/
x402
/
discovery
/
mcp
Handle MCP JSON-RPC request
Body
application/json
A JSON-RPC 2.0 request for the Model Context Protocol.
Response
MCP response.
A JSON-RPC 2.0 response for the Model Context Protocol.
JSON-RPC version.
Available options:
2.0 Example:
"2.0"
Request identifier (matches the request ID, null for notifications).
Example:
1
The result of the method call (present on success).
Example:
{ "tools": [] }JSON-RPC 2.0 error object.
Show child attributes
Show child attributes
Example:
{
"code": -32600,
"message": "Invalid Request",
"data": {}
}Was this page helpful?
⌘I